Page MenuHomePhabricator

Decommission db1033 and db1028
Closed, ResolvedPublic

Description

Hello, db1033 and db1028 are now ready to be decommissioned

  • - all system services confirmed offline from production use
  • MySQL is stopped and the host has been removed from db-eqiad.php, db-codfw.php, added to spare to site.pp, removed from dhcp, downtimed on icinga, removed from tendril and removed from software repo
  • - set all icinga checks to disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPTIBLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port & change switch port label to asset tag
  • - remove production dns entries & remove hostname entries in mgmt dns
  • - puppet node clean, puppet node deactivate, salt key removed

END NON-INTERRUPTIBLE STEPS

  • - system disks wiped (by onsite)
  • - remove hostname label, remove hostname from visible label field in racktables (by onsite)
  • - system added back to decom rack (by onsite)

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
ResolvedCmjohnson

Event Timeline

jcrespo created this task.Aug 24 2017, 7:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2017, 7:13 PM

Change 373673 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Retire db1033, pool db1069 with its copy and low weight

https://gerrit.wikimedia.org/r/373673

jcrespo renamed this task from decomission db1033 and db1028 to Decommission db1033 and db1028.Aug 24 2017, 7:26 PM
jcrespo updated the task description. (Show Details)

Change 373673 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Retire db1033, pool db1069 with its copy and low weight

https://gerrit.wikimedia.org/r/373673

Change 373795 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Pool db1069 with more weight

https://gerrit.wikimedia.org/r/373795

Change 373795 merged by Jcrespo:
[operations/mediawiki-config@master] mariadb: Pool db1069 with more weight

https://gerrit.wikimedia.org/r/373795

Change 373812 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Depool db1028

https://gerrit.wikimedia.org/r/373812

Change 373812 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Depool db1028

https://gerrit.wikimedia.org/r/373812

Change 373869 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/mediawiki-config@master] mariadb: Decommission db1028

https://gerrit.wikimedia.org/r/373869

Marostegui moved this task from Triage to In progress on the DBA board.Aug 29 2017, 8:11 AM

Change 373869 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Decommission db1028

https://gerrit.wikimedia.org/r/373869

Change 374529 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Decomission db1033 and db1028

https://gerrit.wikimedia.org/r/374529

Change 374530 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] mariadb: Decommission db1033 and db1028

https://gerrit.wikimedia.org/r/374530

Change 374530 merged by Jcrespo:
[operations/software@master] mariadb: Decommission db1033 and db1028

https://gerrit.wikimedia.org/r/374530

Change 374529 merged by Jcrespo:
[operations/puppet@production] mariadb: Decommission db1033 and db1028

https://gerrit.wikimedia.org/r/374529

Change 374531 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Remove db1028 and db1033 from hiera

https://gerrit.wikimedia.org/r/374531

Change 374531 merged by Jcrespo:
[operations/puppet@production] mariadb: Remove db1028 and db1033 from hiera

https://gerrit.wikimedia.org/r/374531

jcrespo updated the task description. (Show Details)
jcrespo edited subscribers, added: Cmjohnson, RobH; removed: gerritbot.
Marostegui moved this task from In progress to Done on the DBA board.Sep 4 2017, 1:29 PM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Sep 5 2017, 7:27 PM
Cmjohnson updated the task description. (Show Details)Nov 8 2017, 6:49 PM
Cmjohnson updated the task description. (Show Details)Nov 8 2017, 8:36 PM
Cmjohnson closed this task as Resolved.Nov 14 2017, 4:21 PM

Wiped, removed from racktables